.\"	$NetBSD: ix.4,v 1.14 2003/04/06 19:33:58 wiz Exp $
.\"
.\" Copyright (c) 1986, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)ix.4	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt IX 4 vax
.Os
.Sh NAME
.Nm ix
.Nd Interlan Np100 10 Mb/s Ethernet interface
.Sh SYNOPSIS
.Cd "np0 at uba0 csr 166000 vector npintr"
.Sh DESCRIPTION
NOTE: This driver has not been ported from
.Bx 4.4
yet.
.Pp
The
.Nm ix
interface provides access to a 10 Mb/s Ethernet network through
an Interlan Np100 controller used as a link-layer interface.
.Pp
This interface is unusual in that it requires loading firmware
into the controller before it may be used as a network interface.
This is accomplished by opening a character special device,
and writing data to it.
A program to load the image is provided in
.Pa /usr/src/new/np100 .
The sequence of commands would be:
.Bd -literal -offset indent
# ./npload np.image [/dev/np\*[Lt]board #\*[Gt] if other than np00]
# sleep 10
# ifconfig ix0 ...
.Ed
.Pp
Each of the host's network addresses
is specified at boot time with an
.Dv SIOCSIFADDR
.Xr ioctl 2 .
The
.Nm ix
interface employs the address resolution protocol described in
.Xr arp 4
to dynamically map between Internet and Ethernet addresses on the local
network.
.Pp
The interface normally tries to use a
.Dq trailer
encapsulation
to minimize copying data on input and output.
The use of trailers is negotiated with
.Tn ARP .
This negotiation may be disabled, on a per-interface basis,
by setting the
.Dv IFF_NOTRAILERS
flag with an
.Dv SIOCSIFFLAGS
.Xr ioctl 2 .
.Sh DIAGNOSTICS
.Bl -diag
.It "ix%d: Req failed, cmd %x, stat %x, ust error %x,%x."
The firmware in the controller refused to honor a request from
.Ux
in initializing packet level communications.
The board may need to be reset and reloaded.
Or, you may not have allowed enough time between loading the board
and issuing the request to begin
.Ux
network operation.
.Pp
.It ix%d: can't initialize.
The interface was unable to obtain UNIBUS resources required for operation.
.Pp
.It ix%d: failed to reinitialize DLA module.
The interface got sick after attempting to reprogram its physical
Ethernet address.  Try reloading the firmware.
The attempt is made only when this interfaces is not the first
one configured for
.Tn XNS .
.Pp
.It ix%d: can't handle af%d.
The interface was handed
a message with addresses formatted in an unsuitable address
family; the packet was dropped.
.Pp
.It ix%d: stray xmit interrupt, npreq=%x.
This may happen if the board is reloaded while network processes are still
running.
.Pp
.It ixrint: cqe error %x, %x, %x.
This will result if an
.Xr ifconfig 8
request is made at an inopportune time, such as not allowing
enough time after loading the firmware.
After 100 such errors are logged, the
.Ux
network driver will
shut itself down, saying:
.Pp
.It ixrint: shutting down unix dla.
The recourse is to reload the firmware and allow more time.
.El
.Sh SEE ALSO
.Xr arp 4 ,
.Xr inet 4 ,
.Xr netintro 4 ,
.Xr np 4
.Sh HISTORY
The
.Nm
driver appeared in
.Bx 4.3 .
